﻿<?xml version="1.0" encoding="UTF-8"?>
	<xsd:schema
		elementFormDefault="qualified"
		targetNamespace="https://qa.devgcm-system.com/custom/XMLSchema/contract-information"
		xmlns:req-v0="https://qa.devgcm-system.com/custom/XMLSchema/contract-information"

		xmlns:datatypes-v0="https://qa.devgcm-system.com/custom/XMLSchema/cbe-datatypes"
		xmlns:cbe-v0="https://qa.devgcm-system.com/custom/XMLSchema/common-business-entity"
		xmlns:party-v0="https://qa.devgcm-system.com/custom/XMLSchema/party"
		xmlns:location-v0="https://qa.devgcm-system.com/custom/XMLSchema/location"
		xmlns:product-v0="https://qa.devgcm-system.com/custom/XMLSchema/product"
		xmlns:bi-v0="https://qa.devgcm-system.com/custom/XMLSchema/business-interaction"
		xmlns:customer-v0="https://qa.devgcm-system.com/custom/XMLSchema/customer"
		xmlns:xsd="http://www.w3.org/2001/XMLSchema">

	<!-- Imports -->
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/cbe-datatypes"
			schemaLocation="file:///var/www/html/custom/XMLSchema/CBEDatatypes/CBEDatatypes-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/common-business-entity"
			schemaLocation="file:///var/www/html/custom/XMLSchema/CBEDomain/CBE-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/party"
			schemaLocation="file:///var/www/html/custom/XMLSchema/PartyDomain/Party-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/location"
			schemaLocation="file:///var/www/html/custom/XMLSchema/LocationDomain/Location-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/product"
			schemaLocation="file:///var/www/html/custom/XMLSchema/ProductDomain/Product-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/business-interaction"
			schemaLocation="file:///var/www/html/custom/XMLSchema/BIDomain/BI-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/customer"
			schemaLocation="file:///var/www/html/custom/XMLSchema/CustomerDomain/Customer-v0_1.xsd"/>

	<!--
	 *
	 *==========================================================================
	 * ■Request
	 *==========================================================================
	 *
	-->

	<!-- ■request (Element) -->
	<xsd:element name="request">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="product-v0:product" minOccurs="0" maxOccurs="unbounded"/>
				<xsd:element ref="product-v0:productPlaceAssociation" minOccurs="0" maxOccurs="unbounded"/>
				<xsd:element ref="bi-v0:productContract" minOccurs="0"/>
				<xsd:element ref="bi-v0:partyInteractionRole" minOccurs="0" maxOccurs="unbounded"/>
				<xsd:element ref="party-v0:party" minOccurs="0" maxOccurs="unbounded"/>
				<xsd:element ref="party-v0:partyIdentification" minOccurs="0" maxOccurs="unbounded"/>
				<xsd:element ref="party-v0:partyRole" minOccurs="0" maxOccurs="unbounded"/>
				<xsd:element ref="party-v0:contactMedium" minOccurs="0" maxOccurs="unbounded"/>
				<xsd:element ref="location-v0:geographicAddress" minOccurs="0" maxOccurs="unbounded"/>
				<xsd:element ref="location-v0:placePartyRoleAssociation" minOccurs="0" maxOccurs="unbounded"/>
				<xsd:element ref="location-v0:countryPartyIdentAssoc" minOccurs="0" maxOccurs="unbounded"/>
				<xsd:element ref="customer-v0:paymentMethod" minOccurs="0" maxOccurs="unbounded"/>
				<xsd:element ref="customer-v0:pMPartyRoleAssociation" minOccurs="0" maxOccurs="unbounded"/>
				<xsd:element ref="customer-v0:pMProductAssociation" minOccurs="0" maxOccurs="unbounded"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

</xsd:schema>
